src/mesh/cs_join_set.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_join_set.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "fvm_io_num.h"`
`#include "cs_block_dist.h"`
`#include "cs_join_util.h"`
`#include "cs_order.h"`
`#include "cs_search.h"`
`#include "cs_sort.h"`
`#include "cs_join_set.h"`
Include dependency graph for cs_join_set.c:

## Functions
cs_join_rset_t * | cs_join_rset_create (cs_lnum_t max_size)
void | cs_join_rset_destroy (cs_join_rset_t **set)
void | cs_join_rset_resize (cs_join_rset_t **set, cs_lnum_t test_size)
cs_join_eset_t * | cs_join_eset_create (cs_lnum_t init_size)
void | cs_join_eset_check_size (cs_lnum_t request_size, cs_join_eset_t **equiv_set)
void | cs_join_eset_destroy (cs_join_eset_t **equiv_set)
void | cs_join_eset_clean (cs_join_eset_t **eset)
cs_join_gset_t * | cs_join_gset_create (cs_lnum_t n_elts)
cs_join_gset_t * | cs_join_gset_create_from_tag (cs_lnum_t n_elts, const cs_gnum_t tag[])
cs_join_gset_t * | cs_join_gset_create_by_equiv (const cs_join_gset_t *set, const cs_gnum_t init_array[])
cs_join_gset_t * | cs_join_gset_copy (const cs_join_gset_t *src)
void | cs_join_gset_destroy (cs_join_gset_t **set)
void | cs_join_gset_sort_elts (cs_join_gset_t *set)
void | cs_join_gset_sort_sublist (cs_join_gset_t *set)
cs_join_gset_t * | cs_join_gset_invert (const cs_join_gset_t *set)
void | cs_join_gset_clean (cs_join_gset_t *set)
void | cs_join_gset_clean_from_array (cs_join_gset_t *set, cs_gnum_t linked_array[])
void | cs_join_gset_single_order (const cs_join_gset_t *set, cs_lnum_t *n_elts, cs_gnum_t *new_array[])
void | cs_join_gset_compress (cs_join_gset_t *set)
void | cs_join_gset_merge_elts (cs_join_gset_t *set, int order_tag)
void | cs_join_dump_array (FILE *f, const char *type, const char *header, int n_elts, const void *array)
void | cs_join_gset_dump (FILE *f, const cs_join_gset_t *set)

## Function Documentation

void cs_join_dump_array | ( | FILE * | f,
|  | const char * | type,
|  | const char * | header,
|  | int | n_elts,
|  | const void * | array
| ) |  |

void cs_join_eset_check_size | ( | cs_lnum_t | request_size,
|  | cs_join_eset_t ** | equiv_set
| ) |  |

void cs_join_eset_clean | ( | cs_join_eset_t ** | eset | ) |

cs_join_eset_t* cs_join_eset_create | ( | cs_lnum_t | init_size | ) |

void cs_join_eset_destroy | ( | cs_join_eset_t ** | equiv_set | ) |

void cs_join_gset_clean | ( | cs_join_gset_t * | set | ) |

void cs_join_gset_clean_from_array | ( | cs_join_gset_t * | set,
|  | cs_gnum_t | linked_array[]
| ) |  |

void cs_join_gset_compress | ( | cs_join_gset_t * | set | ) |

cs_join_gset_t* cs_join_gset_copy | ( | const cs_join_gset_t * | src | ) |

cs_join_gset_t* cs_join_gset_create | ( | cs_lnum_t | n_elts | ) |

cs_join_gset_t* cs_join_gset_create_by_equiv | ( | const cs_join_gset_t * | set,
|  | const cs_gnum_t | init_array[]
| ) |  |

cs_join_gset_t* cs_join_gset_create_from_tag | ( | cs_lnum_t | n_elts,
|  | const cs_gnum_t | tag[]
| ) |  |

void cs_join_gset_destroy | ( | cs_join_gset_t ** | set | ) |

void cs_join_gset_dump | ( | FILE * | f,
|  | const cs_join_gset_t * | set
| ) |  |

cs_join_gset_t* cs_join_gset_invert | ( | const cs_join_gset_t * | set | ) |

void cs_join_gset_merge_elts | ( | cs_join_gset_t * | set,
|  | int | order_tag
| ) |  |

void cs_join_gset_single_order | ( | const cs_join_gset_t * | set,
|  | cs_lnum_t * | n_elts,
|  | cs_gnum_t * | new_array[]
| ) |  |

void cs_join_gset_sort_elts | ( | cs_join_gset_t * | set | ) |

void cs_join_gset_sort_sublist | ( | cs_join_gset_t * | set | ) |

cs_join_rset_t* cs_join_rset_create | ( | cs_lnum_t | max_size | ) |

(end ignore by Doxygen)

void cs_join_rset_destroy | ( | cs_join_rset_t ** | set | ) |

void cs_join_rset_resize | ( | cs_join_rset_t ** | set,
|  | cs_lnum_t | test_size
| ) |  |